group "Events.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 6 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
(originatingEvent, trade) | increase? | (terminatingEvent?, termination?) | novation?

Content Model Elements (6):

  increase, novation, originatingEvent (defined in Events.model group), | terminatingEvent, termination, trade (defined in Events.model group)

Known Usage Locations

- In definitions of global complexTypes (4):
  EventProposedMatch, EventsChoice, PublicExecutionReport, PublicExecutionReportRetracted

Annotation
Choice between a trade and a post-trade event.
XML Source (w/o annotations (1); see within schema source)

<xsd:group name="Events.model"> <xsd:choice> <xsd:sequence> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element name="trade" type="Trade"/> </xsd:sequence> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <!-- modified from the below for SDR reporting, BAL 2011-03 <xsd:element name="trade" type="Trade"/> <xsd:element name="amendment" type="TradeAmendmentContent"/> --> <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 6/6)
increase

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/>

novation

  Type: | TradeNovationContent, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="originatingEvent" type="OriginatingEvent"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/>

termination

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/>

trade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.